#
# spec file for package regexp (Version 1.3)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl ant attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat-32bit file filesystem fillup findutils flex fontconfig-32bit freetype2-32bit gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv java-1_4_2-sun java-1_4_2-sun-devel jpackage-utils klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-alternatives util-linux vim xerces-j2 xml-commons xml-commons-apis xorg-x11-libs-32bit zlib zlib-32bit zlib-devel

Name:           regexp
BuildRequires:  ant java-1_4_2-sun-devel update-alternatives xml-commons-apis
%define name		regexp
%define full_name	jakarta-%{name}
%define version		1.3
%define release		2jpp
%define section		free
Version:        1.3
Release:        20.2
Summary:        Simple regular expressions API
License:        Apache
Group:          Development/Libraries/Java
URL:            http://jakarta.apache.org/regexp/
Source0:        http://www.apache.org/dist/jakarta/regexp/jakarta-regexp-%{version}.tar.gz
Buildarch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Regexp is a 100% Pure Java Regular Expression package that was
graciously donated to the Apache Software Foundation by Jonathan Locke.
He originally wrote this software back in 1996 and it has stood up
quite well to the test of time. It includes complete Javadoc
documentation as well as a simple Applet for visual debugging and
testing suite for compatibility.



%debug_package
%package javadoc
PreReq:         coreutils
Group:          Development/Libraries/Java
Summary:        Javadoc for regexp

%description javadoc
Regexp is a 100% Pure Java Regular Expression package that was
graciously donated to the Apache Software Foundation by Jonathan Locke.
He originally wrote this software back in 1996 and it has stood up
quite well to the test of time. It includes complete Javadoc
documentation as well as a simple Applet for visual debugging and
testing suite for compatibility.

This package contains the javadoc documentation for regexp.



%prep
%setup -n %{full_name}-%{version}
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
mkdir lib
ant -Djakarta-site2.dir=. jar javadocs

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 build/*.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -r docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
rm -rf docs/api

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog -n regexp
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jul 29 2005 - jsmeix@suse.de
- Adjustments in the spec file.
* Mon Jul 18 2005 - jsmeix@suse.de
- Current version 1.3 from JPackage.org
* Thu Sep 16 2004 - skh@suse.de
- Fix prerequires of javadoc subpackage
* Thu Sep 02 2004 - skh@suse.de
- Initial package created with version 1.3 (JPackage 1.5)
